vanowm Posted July 18, 2015 Posted July 18, 2015 (edited) Hello. I'm looking for a way to draw an arc by using this order of points: 1. START 2. END 3. MIDDLE (middle of the arc, aka bulge) The drawing A is the arc I'm looking for, but this was done by using arc command and selecting 1,3,2 points when selecting 1,2,3 points it produces arc C Drawing B is "Start, End, Radius" type, which draws correct geometry arc, but on opposite side. None of the commands produce the desired result: 3-points circle drawn exactly what I'm looking for the arc. Any ideas? Thank you. Edited April 25, 2023 by vanowm Quote
BIGAL Posted July 18, 2015 Posted July 18, 2015 Are you trying to drag the radius to something that looks good ? Just do a standard pick 3 pts Start mid end then click centre grip and move radius changes. Quote
RobDraw Posted July 19, 2015 Posted July 19, 2015 (edited) What does "tide up" mean in this context? Edited July 19, 2015 by RobDraw Quote
eldon Posted July 19, 2015 Posted July 19, 2015 Perhaps you could define your "technical" terms with the aid of some diagrams. We may know how to help you, but are presently baffled by your description. As I read your request, I would ask are your points geometrically compatible? The Centre of an arc lies on the perpendicular bisector of the Start and End points. But there again, I may not have grasped your meaning. Quote
vanowm Posted July 19, 2015 Author Posted July 19, 2015 Perhaps you could define your "technical" terms with the aid of some diagrams. We may know how to help you, but are presently baffled by your description. As I read your request, I would ask are your points geometrically compatible? The Centre of an arc lies on the perpendicular bisector of the Start and End points. But there again, I may not have grasped your meaning. What does "tide up" mean in this context? What I meant was the preview of the arc is "attached" to the cursor, unlike to an arbitrary line as in (command "_arc" pause "_e" pause "_d") What I'm looking for is similar to Lee Mac 3-point circle So I guess "center" wasn't a proper word for it, perhaps bulge is more appropriate? Polyline arc, or normal arc? Doesn't matter I guess. Quote
BIGAL Posted July 19, 2015 Posted July 19, 2015 Using a program you can do dynamic stuff like dragging a circle, I think you need to post an exact image of what it is you want it does not matter if you draw multiple arcs. Quote
vanowm Posted July 20, 2015 Author Posted July 20, 2015 Ok, draw an arc, now click on it and grab the middle grip, start dragging it around - that is exactly what I'm looking for during the initial creation of an arc after start and end points are set. Hopefully this is clear now Quote
BIGAL Posted July 20, 2015 Posted July 20, 2015 Why can you not do that now using MID and MOVE I think we are still missing something. I used copy for the image the line implies the copy direction but its still out of the box methods. Its a case of putting together a lisp that makes the arc and then uses the mid point as snap point can be done is this what your trying to do just remove the couple of manual steps. Please let us know. Quote
vanowm Posted July 20, 2015 Author Posted July 20, 2015 No, I'm not trying move the entire arc. In my last example clicking on the arc is necessary to bring up the grips, the grip in the middle you'd use to drag around to change shape of the arc. So, yes, creating a temporary arc after user submitted start and end points and then use stretch on the middle of the arc for the third point would work, except my lisp knowledge is limited to achieve that, that's why I asked if such solution already available... Quote
BIGAL Posted July 21, 2015 Posted July 21, 2015 Standard ARC response Start Pt End Just pick 3 points in order ? Quote
vanowm Posted July 25, 2015 Author Posted July 25, 2015 Hmmm it seems Lee Mac's 3-point-arc visually does what I'm looking for, with just slight modification - switching p2 with p3: (defun c:3PGrArc ( / p1 p2 p3 lst arc ) (if (and (setq p1 (getpoint "\nSpecify 1st Point: ")) (setq p2 (getpoint "\nSpecify 2nd Point: " p1)) (setq p3 (cadr (grread t 13 0))) (setq lst (LM:3PArc (setq p1 (trans p1 1 0)) (trans p3 1 0) (setq p2 (trans p2 1 0)))) (setq arc (entmakex (append '((0 . "ARC")) (mapcar 'cons '(10 50 51 40) lst)))) (setq arc (list (cons -1 arc))) (princ "\nSpecify 3rd Point: ") ) (while (= 5 (car (setq gr (grread t 13 0)))) (if (setq lst (LM:3PArc p1 (trans (cadr gr) 1 0) p2)) (entmod (append arc (mapcar 'cons '(10 50 51 40) lst))) ) ) ) (princ) ) The only thing it's missing is osnap capability Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.